
Foreman - Bug #2179

Wrong owner_type on the request returns 500

02/04/2013 06:16 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Low   

Assignee: Daniel Lobato Garcia   

Category: API   

Target version: 1.3.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi all,

This request:

Parameters: {"id"=>"4777", "host"=>{"owner_id"=>1, "owner_type"=>"UserGroup"}}

Authorized user user (Name Lastname)

Operation FAILED: uninitialized constant UserGroup

Completed 500 Internal Server Error in 341ms

 Should return a 400 (bad request) instead of the 500 (Internal server error) it currently returns.

Associated revisions

Revision 7fcb314e - 09/10/2013 09:29 AM - Daniel Lobato Garcia

fixes #2179 - validate the owner type, preventing the API returning errors for a wrong owner_type

History

#1 - 02/04/2013 06:16 AM - Daniel Lobato Garcia

Working on it.

#2 - 09/09/2013 04:25 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Target version set to 1.3.0

- Description updated

https://github.com/theforeman/foreman/pull/400

#3 - 09/10/2013 09:31 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7fcb314e71b660539701e06d246665c3ab9bd0df.
